# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class Kind

    java.lang.Object
      com.google.gdata.data.Kind

    public class Kind

extends java.lang.Object

The Kind class defines annotation types, interfaces and static helper methods for GData Kind extension handling. A GData Kind refers to a specific extension profile configuration for an Atom feed/entry or RSS channel/item.

Nested Class Summary
`static interface` `Kind.Adaptable` The Adaptable interface is implemented by GData `ExtensionPoint` types that can be flexible adapted based upon the presence of GData kind category elements.
`static class` `Kind.AdaptableHelper` A simple helper class implementation of the `Kind.Adaptable` interface.
`static interface` `Kind.Adaptor` The Adaptor interface is implemented by `Extension` classes that provide extension declaration and data modeling support for specific GData kinds.
`static class` `Kind.AdaptorException` The AdaptorException class defines a simple `ServiceException` type that is thrown on kind adaptation failures.
`static interface` `Kind.Term` The Term annnotation type is used to annotate `Kind.Adaptor` classes to declare the GData kind `Category` term value(s) implemented by the adaptor type.

Field Summary
`static java.lang.String` `META_DIRECTORY` The location of the `META-INF` jar directory where GData kind mapping information is stored.

Constructor Summary
`Kind()`

Method Summary
`static Kind.Adaptor` `getAdaptor(java.lang.String kindTerm, Kind.Adaptable adaptable)` Returns an `Kind.Adaptor` instance associated with the specified kind that is associated with the target `Kind.Adaptable`.
`static java.lang.Class<Kind.Adaptor>` `getAdaptorClass(java.lang.String kindTerm, Kind.Adaptable adaptable)` Returns that `Kind.Adaptor` class that handles the declaration of extensions within an `ExtensionProfile` based upon the kind term value.
`static java.lang.String` `getKindServiceName(java.lang.String kindTerm)` Returns the kind service name associatd with a particular Kind category term value.
`static boolean` `isKindCategory(Category category)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### META_DIRECTORY

    public static final java.lang.String META_DIRECTORY

  The location of the `META-INF` jar directory where GData kind mapping information is stored.

  See Also:
    Constant Field Values

Constructor Detail

### Kind

    public Kind()

Method Detail

### isKindCategory

    public static boolean isKindCategory(Category category)

### getKindServiceName

    public static java.lang.String getKindServiceName(java.lang.String kindTerm)

  Returns the kind service name associatd with a particular Kind category term value. It converts a kind term URI to a service file name that is used for dynamic discovery of `Kind.Adaptor` class implementations for the kind.

### getAdaptorClass

    public static java.lang.Class<Kind.Adaptor> getAdaptorClass(java.lang.String kindTerm,
                                                                Kind.Adaptable adaptable)
                                                         throws Kind.AdaptorException

  Returns that `Kind.Adaptor` class that handles the declaration of extensions within an `ExtensionProfile` based upon the kind term value. A return value of `null` indicates that no adaptor class could be located for this cobintation of kind and `Kind.Adaptable` type.

  Throws:
    `Kind.AdaptorException`

### getAdaptor

    public static Kind.Adaptor getAdaptor(java.lang.String kindTerm,
                                          Kind.Adaptable adaptable)
                                   throws Kind.AdaptorException

  Returns an `Kind.Adaptor` instance associated with the specified kind that is associated with the target `Kind.Adaptable`. Returns `null` if no Adaptor can be found.

  Throws:
    `Kind.AdaptorException`